.\" Copyright (c) 1993 Michael Haardt (michael@moria.de), Fri Apr  2 11:32:09 MET DST 1993
.\"
.\" This is free documentation; you can redistribute it and/or
.\" modify it under the terms of the GNU General Public License as
.\" published by the Free Software Foundation; either version 2 of
.\" the License, or (at your option) any later version.
.\"
.\" The GNU General Public License's references to "object code"
.\" and "executables" are to be interpreted as the output of any
.\" document formatting or typesetting system, including
.\" intermediate and printed output.
.\"
.\" This manual is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public
.\" License along with this manual; if not, write to the Free
.\" Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111,
.\" USA.
.\"
.\" Modified Sat Jul 24 17:37:50 1993 by Rik Faith (faith@cs.unc.edu)
.\" Modified Wed Apr 27 13:33:53 MET DST 1994 by Michael Haardt.
.TH INTRO 3 "13 December 1995" "Linux" "Linux Programmer's Manual"
.SH NAME
intro \- Introduction to library functions
.SH DESCRIPTION
This chapter describes all library functions excluding the library
functions described in chapter 2, which implement system calls.  There
are various function groups which can be identified by a letter which
is appended to the chapter number:
.IP (3C)
These functions, the functions from chapter 2 and from chapter 3S are
contained in the C standard library libc, which will be used by
.BR cc (1)
by default.
.IP (3S)
These functions are parts of the
.BR stdio (3S)
library.  They are contained in the standard C library libc.
.IP (3M)
These functions are contained in the arithmetic library libm.  They are
used by the
.BR f77 (1)
FORTRAN compiler by default, but not by the
.BR cc (1)
C compiler, which needs the option \fI\-lm\fP.
.IP (3F)
These functions are part of the FORTRAN library libF77.  There are no
special compiler flags needed to use these functions.
.IP (3X)
Various special libraries.  The manual pages documenting their functions
specify the library names.
.SH AUTHORS
Look at the header of the manual page for the author(s) and copyright
conditions.  Note that these can be different from page to page!
